<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>compute_geom &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>compute_geom
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">17 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/flubioMesh.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/flubiomesh.f03.html'>flubioMesh.f03</a></li>
    
     <li><a href='../module/flubiomesh.html'>flubioMesh</a></li>
    
  
     <li class="active">compute_geom</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine compute_geom(this)
    
    
   
</h2>
    
  
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Uses</h3>
      </div>
      <ul class="list-group">
      
      <li class="list-group-item">
  <ul class="list-inline">
    
    <li><a href='../module/flubiodictionaries.html'>flubioDictionaries</a></li>
    
  </ul>
      </li>
      
      
      
      <li class="list-group-item">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~compute_geom~~UsesGraph Pages: 1 -->
<svg id="proccompute_geomUsesGraph" width="641pt" height="282pt"
 viewBox="0.00 0.00 641.00 281.63" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~compute_geom~~UsesGraph" class="graph" transform="scale(.8639 .8639) rotate(0) translate(4 322)">
<title>proc~~compute_geom~~UsesGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-322 738,-322 738,4 -4,4"/>
<!-- proc~compute_geom -->
<g id="proc~~compute_geom~~UsesGraph_node1" class="node">
<title>proc~compute_geom</title>
<polygon fill="none" stroke="#000000" points="734,-171 647,-171 647,-147 734,-147 734,-171"/>
<text text-anchor="middle" x="690.5" y="-156.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">compute_geom</text>
</g>
<!-- module~flubiodictionaries -->
<g id="proc~~compute_geom~~UsesGraph_node2" class="node">
<title>module~flubiodictionaries</title>
<g id="a_proc~~compute_geom~~UsesGraph_node2"><a xlink:href=".././module/flubiodictionaries.html" xlink:title="flubioDictionaries">
<polygon fill="#337ab7" stroke="#337ab7" points="611,-171 517,-171 517,-147 611,-147 611,-171"/>
<text text-anchor="middle" x="564" y="-156.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioDictionaries</text>
</a>
</g>
</g>
<!-- proc~compute_geom&#45;&gt;module~flubiodictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge1" class="edge">
<title>proc~compute_geom&#45;&gt;module~flubiodictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M646.9659,-159C638.6442,-159 629.8167,-159 621.1437,-159"/>
<polygon fill="#000000" stroke="#000000" points="621.0731,-155.5001 611.073,-159 621.073,-162.5001 621.0731,-155.5001"/>
</g>
<!-- module~lsolvers -->
<g id="proc~~compute_geom~~UsesGraph_node3" class="node">
<title>module~lsolvers</title>
<g id="a_proc~~compute_geom~~UsesGraph_node3"><a xlink:href=".././module/lsolvers.html" xlink:title="lsolvers">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-318 399.5,-318 399.5,-294 453.5,-294 453.5,-318"/>
<text text-anchor="middle" x="426.5" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lsolvers</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~lsolvers -->
<g id="proc~~compute_geom~~UsesGraph_edge2" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~lsolvers</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M559.0485,-171.2125C548.3958,-196.045 520.9846,-252.7949 481,-285 475.8176,-289.1741 469.7108,-292.5881 463.4941,-295.3575"/>
<polygon fill="#000000" stroke="#000000" points="461.7728,-292.2737 453.7515,-299.1953 464.3384,-298.7866 461.7728,-292.2737"/>
</g>
<!-- module~turbmodel -->
<g id="proc~~compute_geom~~UsesGraph_node4" class="node">
<title>module~turbmodel</title>
<g id="a_proc~~compute_geom~~UsesGraph_node4"><a xlink:href=".././module/turbmodel.html" xlink:title="turbModel">
<polygon fill="#337ab7" stroke="#337ab7" points="457,-66 396,-66 396,-42 457,-42 457,-66"/>
<text text-anchor="middle" x="426.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">turbModel</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~turbmodel -->
<g id="proc~~compute_geom~~UsesGraph_edge3" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~turbmodel</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M554.7969,-146.8282C540.6831,-128.8991 512.0477,-95.3232 481,-75 476.4399,-72.015 471.3921,-69.3578 466.2625,-67.0222"/>
<polygon fill="#000000" stroke="#000000" points="467.6047,-63.7898 457.0284,-63.1642 464.9062,-70.2488 467.6047,-63.7898"/>
</g>
<!-- module~sources -->
<g id="proc~~compute_geom~~UsesGraph_node5" class="node">
<title>module~sources</title>
<g id="a_proc~~compute_geom~~UsesGraph_node5"><a xlink:href=".././module/sources.html" xlink:title="sources">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-276 399.5,-276 399.5,-252 453.5,-252 453.5,-276"/>
<text text-anchor="middle" x="426.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">sources</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~sources -->
<g id="proc~~compute_geom~~UsesGraph_edge4" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~sources</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M554.7969,-171.1718C540.6831,-189.1009 512.0477,-222.6768 481,-243 475.5438,-246.5715 469.3894,-249.6739 463.2319,-252.3175"/>
<polygon fill="#000000" stroke="#000000" points="461.6718,-249.1704 453.6534,-256.0955 464.2402,-255.6822 461.6718,-249.1704"/>
</g>
<!-- module~controls -->
<g id="proc~~compute_geom~~UsesGraph_node6" class="node">
<title>module~controls</title>
<g id="a_proc~~compute_geom~~UsesGraph_node6"><a xlink:href=".././module/controls.html" xlink:title="controls">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-24 399.5,-24 399.5,0 453.5,0 453.5,-24"/>
<text text-anchor="middle" x="426.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">controls</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~controls -->
<g id="proc~~compute_geom~~UsesGraph_edge6" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~controls</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M559.0485,-146.7875C548.3958,-121.955 520.9846,-65.2051 481,-33 475.8176,-28.8259 469.7108,-25.4119 463.4941,-22.6425"/>
<polygon fill="#000000" stroke="#000000" points="464.3384,-19.2134 453.7515,-18.8047 461.7728,-25.7263 464.3384,-19.2134"/>
</g>
<!-- module~options -->
<g id="proc~~compute_geom~~UsesGraph_node7" class="node">
<title>module~options</title>
<g id="a_proc~~compute_geom~~UsesGraph_node7"><a xlink:href=".././module/options.html" xlink:title="options">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-234 399.5,-234 399.5,-210 453.5,-210 453.5,-234"/>
<text text-anchor="middle" x="426.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">options</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~options -->
<g id="proc~~compute_geom~~UsesGraph_edge5" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~options</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M541.7489,-171.0289C525.202,-179.7844 501.9568,-191.6884 481,-201 475.223,-203.5669 469.0275,-206.1289 462.96,-208.5364"/>
<polygon fill="#000000" stroke="#000000" points="461.662,-205.2857 453.6092,-212.1706 464.1979,-211.8102 461.662,-205.2857"/>
</g>
<!-- module~runtimeproc -->
<g id="proc~~compute_geom~~UsesGraph_node8" class="node">
<title>module~runtimeproc</title>
<g id="a_proc~~compute_geom~~UsesGraph_node8"><a xlink:href=".././module/runtimeproc.html" xlink:title="runTimeProc">
<polygon fill="#337ab7" stroke="#337ab7" points="463,-192 390,-192 390,-168 463,-168 463,-192"/>
<text text-anchor="middle" x="426.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">runTimeProc</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~runtimeproc -->
<g id="proc~~compute_geom~~UsesGraph_edge7" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~runtimeproc</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M516.6803,-166.227C502.5529,-168.3847 487.084,-170.7472 473.009,-172.8968"/>
<polygon fill="#000000" stroke="#000000" points="472.4026,-169.4488 463.0456,-174.4185 473.4595,-176.3685 472.4026,-169.4488"/>
</g>
<!-- module~steadystatecontrols -->
<g id="proc~~compute_geom~~UsesGraph_node9" class="node">
<title>module~steadystatecontrols</title>
<g id="a_proc~~compute_geom~~UsesGraph_node9"><a xlink:href=".././module/steadystatecontrols.html" xlink:title="steadyStateControls">
<polygon fill="#337ab7" stroke="#337ab7" points="481,-150 372,-150 372,-126 481,-126 481,-150"/>
<text text-anchor="middle" x="426.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">steadyStateControls</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~steadystatecontrols -->
<g id="proc~~compute_geom~~UsesGraph_edge8" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~steadystatecontrols</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M516.6803,-151.773C508.5284,-150.528 499.9299,-149.2147 491.4102,-147.9136"/>
<polygon fill="#000000" stroke="#000000" points="491.8904,-144.4464 481.4766,-146.3964 490.8335,-151.3662 491.8904,-144.4464"/>
</g>
<!-- module~meshregions -->
<g id="proc~~compute_geom~~UsesGraph_node10" class="node">
<title>module~meshregions</title>
<g id="a_proc~~compute_geom~~UsesGraph_node10"><a xlink:href=".././module/meshregions.html" xlink:title="meshRegions">
<polygon fill="#337ab7" stroke="#337ab7" points="465.5,-108 387.5,-108 387.5,-84 465.5,-84 465.5,-108"/>
<text text-anchor="middle" x="426.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">meshRegions</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~meshregions -->
<g id="proc~~compute_geom~~UsesGraph_edge9" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~meshregions</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M541.7489,-146.9711C525.202,-138.2156 501.9568,-126.3116 481,-117 477.0907,-115.263 472.9899,-113.5282 468.8667,-111.8421"/>
<polygon fill="#000000" stroke="#000000" points="469.8701,-108.4742 459.2851,-108.0179 467.2752,-114.9755 469.8701,-108.4742"/>
</g>
<!-- module~globalmeshvar -->
<g id="proc~~compute_geom~~UsesGraph_node12" class="node">
<title>module~globalmeshvar</title>
<g id="a_proc~~compute_geom~~UsesGraph_node12"><a xlink:href=".././module/globalmeshvar.html" xlink:title="globalMeshVar">
<polygon fill="#337ab7" stroke="#337ab7" points="326,-318 242,-318 242,-294 326,-294 326,-318"/>
<text text-anchor="middle" x="284" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalMeshVar</text>
</a>
</g>
</g>
<!-- module~lsolvers&#45;&gt;module~globalmeshvar -->
<g id="proc~~compute_geom~~UsesGraph_edge10" class="edge">
<title>module~lsolvers&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.3614,-306C381.596,-306 357.7984,-306 336.4325,-306"/>
<polygon fill="#000000" stroke="#000000" points="336.1763,-302.5001 326.1763,-306 336.1763,-309.5001 336.1763,-302.5001"/>
</g>
<!-- module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_node13" class="node">
<title>module~generaldictionaries</title>
<g id="a_proc~~compute_geom~~UsesGraph_node13"><a xlink:href=".././module/generaldictionaries.html" xlink:title="generalDictionaries">
<polygon fill="#337ab7" stroke="#337ab7" points="336,-171 232,-171 232,-147 336,-147 336,-171"/>
<text text-anchor="middle" x="284" y="-156.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">generalDictionaries</text>
</a>
</g>
</g>
<!-- module~lsolvers&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge11" class="edge">
<title>module~lsolvers&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.344,-299.0752C390.0449,-295.8247 379.9826,-291.2526 372,-285 352.7736,-269.9403 316.0455,-211.9884 296.6776,-180.1885"/>
<polygon fill="#000000" stroke="#000000" points="299.4329,-177.981 291.2628,-171.2356 293.4432,-181.6037 299.4329,-177.981"/>
</g>
<!-- module~turbmodel&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge12" class="edge">
<title>module~turbmodel&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M395.7792,-63.4153C387.7334,-66.5202 379.2796,-70.3855 372,-75 343.8741,-92.8287 317.0129,-120.5594 300.5273,-139.2321"/>
<polygon fill="#000000" stroke="#000000" points="297.8184,-137.0138 293.9198,-146.8653 303.1109,-141.5952 297.8184,-137.0138"/>
</g>
<!-- module~globaltimevar -->
<g id="proc~~compute_geom~~UsesGraph_node14" class="node">
<title>module~globaltimevar</title>
<g id="a_proc~~compute_geom~~UsesGraph_node14"><a xlink:href=".././module/globaltimevar.html" xlink:title="globalTimeVar">
<polygon fill="#337ab7" stroke="#337ab7" points="325,-87 243,-87 243,-63 325,-63 325,-87"/>
<text text-anchor="middle" x="284" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalTimeVar</text>
</a>
</g>
</g>
<!-- module~turbmodel&#45;&gt;module~globaltimevar -->
<g id="proc~~compute_geom~~UsesGraph_edge13" class="edge">
<title>module~turbmodel&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M395.9302,-58.505C378.2303,-61.1134 355.4935,-64.4641 335.141,-67.4634"/>
<polygon fill="#000000" stroke="#000000" points="334.4481,-64.0276 325.0653,-68.9483 335.4687,-70.9529 334.4481,-64.0276"/>
</g>
<!-- qvector_m -->
<g id="proc~~compute_geom~~UsesGraph_node11" class="node">
<title>qvector_m</title>
<polygon fill="#337ab7" stroke="#337ab7" points="315.5,-276 252.5,-276 252.5,-252 315.5,-252 315.5,-276"/>
<text text-anchor="middle" x="284" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">qvector_m</text>
</g>
<!-- module~sources&#45;&gt;qvector_m -->
<g id="proc~~compute_geom~~UsesGraph_edge14" class="edge">
<title>module~sources&#45;&gt;qvector_m</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.3614,-264C378.54,-264 349.4327,-264 325.6656,-264"/>
<polygon fill="#000000" stroke="#000000" points="325.5094,-260.5001 315.5094,-264 325.5093,-267.5001 325.5094,-260.5001"/>
</g>
<!-- module~sources&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge15" class="edge">
<title>module~sources&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.4365,-255.9559C390.3468,-252.6446 380.3929,-248.3202 372,-243 343.8741,-225.1713 317.0129,-197.4406 300.5273,-178.7679"/>
<polygon fill="#000000" stroke="#000000" points="303.1109,-176.4048 293.9198,-171.1347 297.8184,-180.9862 303.1109,-176.4048"/>
</g>
<!-- module~controls&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge16" class="edge">
<title>module~controls&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.2994,-18.4337C389.8904,-21.6501 379.7685,-26.3265 372,-33 347.5377,-54.0141 354.3312,-69.4676 336,-96 325.5201,-111.1684 312.2745,-127.1775 301.7745,-139.2618"/>
<polygon fill="#000000" stroke="#000000" points="298.9933,-137.1241 295.0117,-146.9423 304.247,-141.7501 298.9933,-137.1241"/>
</g>
<!-- module~controls&#45;&gt;module~globaltimevar -->
<g id="proc~~compute_geom~~UsesGraph_edge17" class="edge">
<title>module~controls&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.4439,-21.9507C390.6341,-25.3168 380.8478,-29.1908 372,-33 353.673,-40.8903 333.5675,-50.4183 317.2062,-58.4033"/>
<polygon fill="#000000" stroke="#000000" points="315.4797,-55.3519 308.0474,-62.9024 318.5661,-61.6348 315.4797,-55.3519"/>
</g>
<!-- module~options&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge18" class="edge">
<title>module~options&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.4439,-212.0493C390.6341,-208.6832 380.8478,-204.8092 372,-201 353.673,-193.1097 333.5675,-183.5817 317.2062,-175.5967"/>
<polygon fill="#000000" stroke="#000000" points="318.5661,-172.3652 308.0474,-171.0976 315.4797,-178.6481 318.5661,-172.3652"/>
</g>
<!-- module~runtimeproc&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge19" class="edge">
<title>module~runtimeproc&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M389.8027,-174.592C376.5363,-172.6369 361.1611,-170.3711 346.3121,-168.1828"/>
<polygon fill="#000000" stroke="#000000" points="346.5519,-164.6805 336.1484,-166.685 345.5313,-171.6057 346.5519,-164.6805"/>
</g>
<!-- module~steadystatecontrols&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge20" class="edge">
<title>module~steadystatecontrols&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M371.8133,-146.0591C363.5549,-147.2761 354.9823,-148.5395 346.5732,-149.7787"/>
<polygon fill="#000000" stroke="#000000" points="345.8122,-146.3529 336.4294,-151.2736 346.8328,-153.2781 345.8122,-146.3529"/>
</g>
<!-- module~steadystatecontrols&#45;&gt;module~globaltimevar -->
<g id="proc~~compute_geom~~UsesGraph_edge21" class="edge">
<title>module~steadystatecontrols&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M394.0561,-125.9733C386.7571,-123.1362 379.0782,-120.0474 372,-117 353.673,-109.1097 333.5675,-99.5817 317.2062,-91.5967"/>
<polygon fill="#000000" stroke="#000000" points="318.5661,-88.3652 308.0474,-87.0976 315.4797,-94.6481 318.5661,-88.3652"/>
</g>
<!-- module~meshregions&#45;&gt;module~generaldictionaries -->
<g id="proc~~compute_geom~~UsesGraph_edge22" class="edge">
<title>module~meshregions&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M394.0561,-108.0267C386.7571,-110.8638 379.0782,-113.9526 372,-117 353.673,-124.8903 333.5675,-134.4183 317.2062,-142.4033"/>
<polygon fill="#000000" stroke="#000000" points="315.4797,-139.3519 308.0474,-146.9024 318.5661,-145.6348 315.4797,-139.3519"/>
</g>
<!-- module~meshregions&#45;&gt;module~globaltimevar -->
<g id="proc~~compute_geom~~UsesGraph_edge23" class="edge">
<title>module~meshregions&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M387.184,-90.2061C371.2201,-87.8535 352.5595,-85.1035 335.5302,-82.5939"/>
<polygon fill="#000000" stroke="#000000" points="335.58,-79.0635 325.1766,-81.0681 334.5594,-85.9887 335.58,-79.0635"/>
</g>
<!-- module~m_strings -->
<g id="proc~~compute_geom~~UsesGraph_node15" class="node">
<title>module~m_strings</title>
<g id="a_proc~~compute_geom~~UsesGraph_node15"><a xlink:href=".././module/m_strings.html" xlink:title="M_strings">
<polygon fill="#337ab7" stroke="#337ab7" points="189,-234 130,-234 130,-210 189,-210 189,-234"/>
<text text-anchor="middle" x="159.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">M_strings</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;module~m_strings -->
<g id="proc~~compute_geom~~UsesGraph_edge25" class="edge">
<title>module~generaldictionaries&#45;&gt;module~m_strings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M259.9951,-171.147C240.7909,-180.8648 213.658,-194.5948 192.425,-205.3391"/>
<polygon fill="#000000" stroke="#000000" points="190.7735,-202.2522 183.4312,-209.8903 193.9341,-208.4981 190.7735,-202.2522"/>
</g>
<!-- iso_fortran_env -->
<g id="proc~~compute_geom~~UsesGraph_node16" class="node">
<title>iso_fortran_env</title>
<g id="a_proc~~compute_geom~~UsesGraph_node16"><a xlink:href="http://fortranwiki.org/fortran/show/iso_fortran_env" xlink:title="iso_fortran_env">
<polygon fill="#337ab7" stroke="#337ab7" points="87,-254 0,-254 0,-230 87,-230 87,-254"/>
<text text-anchor="middle" x="43.5" y="-239.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">iso_fortran_env</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;iso_fortran_env -->
<g id="proc~~compute_geom~~UsesGraph_edge24" class="edge">
<title>module~generaldictionaries&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M276.039,-171.1297C262.3972,-190.6668 232.4665,-228.3894 196,-243 165.0013,-255.4199 127.5296,-255.3587 97.4881,-252.1002"/>
<polygon fill="#000000" stroke="#000000" points="97.5482,-248.5811 87.1947,-250.8295 96.6905,-255.5284 97.5482,-248.5811"/>
</g>
<!-- module~strings -->
<g id="proc~~compute_geom~~UsesGraph_node17" class="node">
<title>module~strings</title>
<g id="a_proc~~compute_geom~~UsesGraph_node17"><a xlink:href=".././module/strings.html" xlink:title="strings">
<polygon fill="#337ab7" stroke="#337ab7" points="186.5,-192 132.5,-192 132.5,-168 186.5,-168 186.5,-192"/>
<text text-anchor="middle" x="159.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">strings</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;module~strings -->
<g id="proc~~compute_geom~~UsesGraph_edge26" class="edge">
<title>module~generaldictionaries&#45;&gt;module~strings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M231.9222,-167.7842C220.1062,-169.7773 207.7877,-171.8551 196.7321,-173.7199"/>
<polygon fill="#000000" stroke="#000000" points="195.8555,-170.3182 186.577,-175.4328 197.0199,-177.2207 195.8555,-170.3182"/>
</g>
<!-- json_module -->
<g id="proc~~compute_geom~~UsesGraph_node18" class="node">
<title>json_module</title>
<g id="a_proc~~compute_geom~~UsesGraph_node18"><a xlink:href="http://jacobwilliams.github.io/json-Fortran/" xlink:title="json_module">
<polygon fill="#337ab7" stroke="#337ab7" points="196,-150 123,-150 123,-126 196,-126 196,-150"/>
<text text-anchor="middle" x="159.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">json_module</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;json_module -->
<g id="proc~~compute_geom~~UsesGraph_edge27" class="edge">
<title>module~generaldictionaries&#45;&gt;json_module</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M231.9222,-150.2158C223.3952,-148.7775 214.6065,-147.2951 206.2196,-145.8804"/>
<polygon fill="#000000" stroke="#000000" points="206.6761,-142.4081 196.2332,-144.196 205.5118,-149.3105 206.6761,-142.4081"/>
</g>
<!-- qhashtbl_m -->
<g id="proc~~compute_geom~~UsesGraph_node19" class="node">
<title>qhashtbl_m</title>
<polygon fill="#337ab7" stroke="#337ab7" points="193.5,-108 125.5,-108 125.5,-84 193.5,-84 193.5,-108"/>
<text text-anchor="middle" x="159.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">qhashtbl_m</text>
</g>
<!-- module~generaldictionaries&#45;&gt;qhashtbl_m -->
<g id="proc~~compute_geom~~UsesGraph_edge28" class="edge">
<title>module~generaldictionaries&#45;&gt;qhashtbl_m</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M259.9951,-146.853C240.7909,-137.1352 213.658,-123.4052 192.425,-112.6609"/>
<polygon fill="#000000" stroke="#000000" points="193.9341,-109.5019 183.4312,-108.1097 190.7735,-115.7478 193.9341,-109.5019"/>
</g>
<!-- module~flubiompi -->
<g id="proc~~compute_geom~~UsesGraph_node20" class="node">
<title>module~flubiompi</title>
<g id="a_proc~~compute_geom~~UsesGraph_node20"><a xlink:href=".././module/flubiompi.html" xlink:title="flubioMpi">
<polygon fill="#337ab7" stroke="#337ab7" points="187,-66 132,-66 132,-42 187,-42 187,-66"/>
<text text-anchor="middle" x="159.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMpi</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;module~flubiompi -->
<g id="proc~~compute_geom~~UsesGraph_edge29" class="edge">
<title>module~generaldictionaries&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M273.1225,-146.9184C257.2368,-129.6886 226.2762,-97.6418 196,-75 194.4192,-73.8178 192.7659,-72.6514 191.0729,-71.5106"/>
<polygon fill="#000000" stroke="#000000" points="192.756,-68.4344 182.4295,-66.0653 189.0248,-74.3571 192.756,-68.4344"/>
</g>
<!-- module~m_strings&#45;&gt;iso_fortran_env -->
<g id="proc~~compute_geom~~UsesGraph_edge30" class="edge">
<title>module~m_strings&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M129.9282,-227.0986C119.8563,-228.8351 108.2649,-230.8336 96.9097,-232.7914"/>
<polygon fill="#000000" stroke="#000000" points="96.2957,-229.3456 87.0358,-234.4938 97.4851,-236.2438 96.2957,-229.3456"/>
</g>
<!-- mpi -->
<g id="proc~~compute_geom~~UsesGraph_node21" class="node">
<title>mpi</title>
<g id="a_proc~~compute_geom~~UsesGraph_node21"><a xlink:href="http://www.mpi-forum.org/docs/mpi-3.1/mpi31-report/node410.htm" xlink:title="mpi">
<polygon fill="#337ab7" stroke="#337ab7" points="70.5,-66 16.5,-66 16.5,-42 70.5,-42 70.5,-66"/>
<text text-anchor="middle" x="43.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mpi</text>
</a>
</g>
</g>
<!-- module~flubiompi&#45;&gt;mpi -->
<g id="proc~~compute_geom~~UsesGraph_edge31" class="edge">
<title>module~flubiompi&#45;&gt;mpi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M131.7151,-54C116.5399,-54 97.536,-54 81.0569,-54"/>
<polygon fill="#000000" stroke="#000000" points="80.658,-50.5001 70.6579,-54 80.6579,-57.5001 80.658,-50.5001"/>
</g>
</g>
</svg>
</div><script>var panproccompute_geomUsesGraph = svgPanZoom('#proccompute_geomUsesGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="490pt" height="32pt"
 viewBox="0.00 0.00 489.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 485.5,-28 485.5,4 -4,4"/>
<!-- Module -->
<g id="node1" class="node">
<title>Module</title>
<polygon fill="#337ab7" stroke="#337ab7" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Module</text>
</g>
<!-- Submodule -->
<g id="node2" class="node">
<title>Submodule</title>
<polygon fill="#5bc0de" stroke="#5bc0de" points="139.5,-24 72.5,-24 72.5,0 139.5,0 139.5,-24"/>
<text text-anchor="middle" x="106" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Submodule</text>
</g>
<!-- Subroutine -->
<g id="node3" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="222,-24 158,-24 158,0 222,0 222,-24"/>
<text text-anchor="middle" x="190" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node4" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="294,-24 240,-24 240,0 294,0 294,-24"/>
<text text-anchor="middle" x="267" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="366,-24 312,-24 312,0 366,0 366,-24"/>
<text text-anchor="middle" x="339" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="481.5,-24 384.5,-24 384.5,0 481.5,0 481.5,-24"/>
<text text-anchor="middle" x="433" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a submodule to the (sub)module which it is
    descended from. Dashed arrows point from a module or program unit to 
    modules which it uses.
    </p>
    </div></div></div></div>
      </li>
      
      </ul>
    </div>
    


    
    <p>compute_geom calculates all the mesh geometrical information needed by FLUBIO (e.g. volumes, faces normals, etc. ).</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E229"></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>